## kmess 2.0.3

=== CMakeLists.txt ===
PROJECT( kmess )


#### System checks ####

# To add checks, see in one or more of these paths
# /usr/share/cmake/Modules
# /usr/share/kde4/apps/cmake/modules
# /usr/share/apps/cmake

# Check for cmake, same as minimum for KDE 4.0.0
CMAKE_MINIMUM_REQUIRED( VERSION 2.4.5 )

# Check for KDE 4
FIND_PACKAGE( KDE4 REQUIRED )
INCLUDE( KDE4Defaults )

# Make sure the rest still works
IF( NOT KDE4_FOUND )
  # The macro's MACRO_LOG_FEATURE, MACRO_OPTIONAL_FIND_PACKAGE, MACRO_BOOL_TO_01
  # are part of the KDE cmake modules, so these can't be used now.

  MESSAGE( FATAL_ERROR "\n"
  "  The KDE Development Platform was not found.\n"
  "  \n"
  "  You will need this package and the matching development package.\n"
  "  Usually the package names for this library are:\n"
  "    on Debian:   'kdebase-runtime' and 'kdelibs4-dev'\n"
  "    on Ubuntu:   'kdebase-runtime' and 'kdelibs5-dev'\n"
  "    on openSUSE: 'kdebase4-runtime' and 'libkde4-devel'\n"
  "  \n"
  "  Please refer to the KMess board for more info,\n"
  "  and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )
ENDIF( NOT KDE4_FOUND )

# Check for libxml2
FIND_PACKAGE( LibXml2 )
MACRO_LOG_FEATURE( LIBXML2_FOUND "LibXML2" "Libraries used to develop XML-aware applications" "http://www.xmlsoft.org/" TRUE ""
    "Required for the chat styles system.
      * You will need this package and the matching development package: for example, 'libxml2' and 'libxml2-dev' or 'libxml2-devel'.
      * Usually the package names for this library are:
        on Debian and Ubuntu: 'libxml2' and 'libxml2-dev'
        on openSUSE:          'libxml2' and 'libxml2-devel'
      * Please refer to the KMess board for more info,
        and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )

# Check for libxslt
FIND_PACKAGE( LibXslt )
MACRO_LOG_FEATURE( LIBXSLT_FOUND "LibXSLT" "A library to transform XML into other formats" "http://www.xmlsoft.org/XSLT" TRUE ""
    "Required for the chat styles system.
      * Usually the package names for this library are:
        on Debian and Ubuntu: 'libxslt' and 'libxslt-dev'
        on openSUSE:         'libxslt' and 'libxslt-devel'
      * Please refer to the KMess board for more info,
        and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )

# Add cmake directory to the MODULE_PATH, so cmake can find GCrypt
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} $ENV{CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

# Check for GCrypt
FIND_PACKAGE( GCrypt )
IF( NOT GCRYPT_FOUND )
  MACRO_LOG_FEATURE( GCRYPT_FOUND "GCrypt" "A library to encrypt messages with various cyphers" "http://www.gnupg.org/" TRUE ""
    "It is required for the Live Messenger login process.
      * Usually the package names for this library are:
        on Debian and Ubuntu: 'libgcrypt' and 'libgcrypt-dev'
        on openSUSE:          'libgcrypt' and 'libgcrypt-devel'
        on Fedora:            'gcrypt' and 'gcrypt-devel'
      * Please refer to the KMess board for more info,
        and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )
ELSE()
  MESSAGE( STATUS "Looking for GCrypt - found" )
ENDIF()

# Check for XScreenSaver extension
OPTION( WANT_XSCREENSAVER "Build with X11 screensaver auto-away support" ON )
IF( WANT_XSCREENSAVER )
  MACRO_BOOL_TO_01( X11_Xscreensaver_FOUND HAVE_XSCREENSAVER )
  MACRO_OPTIONAL_FIND_PACKAGE(X11)
  IF( X11_FOUND )
    MACRO_LOG_FEATURE( X11_Xscreensaver_FOUND "XScreenSaver" "X11 extension used to check idle state" "" FALSE ""
    "Required for the auto-away feature.
      * Usually the package names for this library are:
        on Debian and Ubuntu: 'libxss-dev'
        on openSUSE:          'xorg-x11-libs'
      * Please refer to the KMess board for more info,
        and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )
  ELSE( X11_FOUND )
    MESSAGE( STATUS "NOTE: The auto-away feature is not supported on this platform yet." )
  ENDIF( X11_FOUND )
ENDIF( WANT_XSCREENSAVER )

# Check for libkonq
# QUIET is to fix compiling on systems like Debian Lenny, which don't have FindLibKonq.cmake
#   (for an optional feature, we don't want that to be fatal)
MACRO_OPTIONAL_FIND_PACKAGE( LibKonq QUIET )
MACRO_LOG_FEATURE( LIBKONQ_FOUND "LibKonq" "Integration with Konqueror context menu" "http://www.kde.org/" FALSE ""
    "This is an optional feature.
      * Usually the package names for this library are:
        on Debian and Ubuntu: 'libkonq5' and 'libkonq5-dev'
        on openSUSE:          'libkonq5' and 'libkonq-devel'
      * Please refer to the KMess board for more info,
        and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )

# Check for libisf-qt
MACRO_OPTIONAL_FIND_PACKAGE( IsfQt QUIET )
MACRO_LOG_FEATURE( ISFQT_FOUND "LibISF-Qt" "Library to manage Microsoft's Mobile Ink" "http://www.kmess.org/" FALSE ""
    "Support to send handwriting messages in a format compatible with Windows Live Messenger.
     In absence of an installed isf-qt version, the bundled version will be compiled.")
MACRO_BOOL_TO_01( ISFQT_FOUND HAVE_LIBISFQT ) # For config-kmess.h.in

# Display the dependency collection results
MACRO_DISPLAY_FEATURE_LOG()



#### Configure build ####

INCLUDE( MacroLibrary )
INCLUDE( KDE4Defaults )

IF( NOT ISFQT_FOUND )
# isf-qt is not installed on the system.
# use the bundled version.
  SET( ISFQT_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/contrib/isf-qt/include )
  SET( ISFQT_LIBRARIES isf-qt )

  SET( USE_BUNDLED_LIBRARIES ${USE_BUNDLED_LIBRARIES} ISFQT )
  SET( HAVE_LIBISFQT 1 )
  SET( ISFQT_FOUND TRUE )
ENDIF( NOT ISFQT_FOUND )

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

INCLUDE_DIRECTORIES( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${LIBXML2_INCLUDE_DIR} )


#### Define the app version number ####

# Switch between the following two commands to force using a predefined version number
# EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-svn-version.sh OUTPUT_VARIABLE KMESS_VERSION )
SET( KMESS_VERSION "2.0.3" )


#### Define compiler flags ####

# Tune the debug build with even more flags
# also see FindKDE4Internal.cmake for more defaults
IF( CMAKE_COMPILER_IS_GNUCXX )
  # skipped: -ansi -pendantic -Wfatal-errors -Wold-style-cast -Wconversion
  SET( CMAKE_CXX_FLAGS_DEBUG     "-O0 -g -Wall" )
  SET( CMAKE_CXX_FLAGS_DEBUGFULL "-O0 -g3 -fno-inline -Wall -Woverloaded-virtual -Wsign-compare -Wundef" )
  # the -fvisibility option makes symbols also visible to the KDE backtrace dumper, but
  # the MinGW gcc doesn't seem to understand it well, so only add it if we're not on win32
  IF( NOT WIN32 )
    SET( CMAKE_CXX_FLAGS_DEBUGFULL "${CMAKE_CXX_FLAGS_DEBUGFULL} -fvisibility=default" )
  ENDIF( NOT WIN32 )
ENDIF( CMAKE_COMPILER_IS_GNUCXX )


# Define the default build type
# Possible values:
# - none
# - release
# - debug
# - debugfull       (even fewer optimisations)
# - relwithdebinfo  (release with debug info)
# - minsizerel      (minsize release)
# Uncomment the next line to always force building in full debug mode
SET( CMAKE_BUILD_TYPE debugfull )

# Enable the KMess debug output when compiling a debug build
IF( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )
  SET( KMESS_ENABLE_DEBUG_OUTPUT "1" )
ELSE( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )
  SET( KMESS_ENABLE_DEBUG_OUTPUT "0" )
ENDIF( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )


# Change symbol visibility, to obtain clearer KDE backtraces
SET( __KDE_HAVE_GCC_VISIBILITY 0 )

# Disable LikeBack if not needed
IF( KMESS_DISABLE_LIKEBACK EQUAL 1 )
  SET( KMESS_DISABLE_LIKEBACK "1" )
ELSE( KMESS_DISABLE_LIKEBACK EQUAL 1 )
  SET( KMESS_DISABLE_LIKEBACK "0" )
ENDIF( KMESS_DISABLE_LIKEBACK EQUAL 1 )

# Set a default installation path
IF( NOT CMAKE_INSTALL_PREFIX )
  SET( CMAKE_INSTALL_PREFIX "/usr" )
ENDIF( NOT CMAKE_INSTALL_PREFIX )

IF( CMAKE_USE_CPACK EQUAL 1 )
  MESSAGE( STATUS "Enabling the CPack package target..." )
  # source: http://www.vtk.org/Wiki/CMake:Packaging_With_CPack
  INCLUDE( InstallRequiredSystemLibraries )
  # the installer will be named ${PACKAGENAME}-{VERSIONMAJOR}.{VERSIONMINOR}.{VERSIONPATCH}-win32.exe.
  # the installer will say "Welcome to the ${INSTALL_DIRECTORY} Setup Wizard and install to ${INSTALL_DIRECTORY} too, and
  # put the program in start menu under the ${INSTALL_DIRECTORY} name.
  # it will ask if ${PACKAGENAME} should be put in PATH.
  SET( CPACK_PACKAGE_NAME "KMess" )
  SET( CPACK_PACKAGE_DESCRIPTION_SUMMARY "KMess (package description)" )
  SET( CPACK_PACKAGE_VENDOR "The KMess team" )
  SET( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README" )
  SET( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING" )
  SET( CPACK_PACKAGE_VERSION_MAJOR "1" )
  SET( CPACK_PACKAGE_VERSION_MINOR "0" )
  SET( CPACK_PACKAGE_VERSION_PATCH "0" )
  SET( CPACK_PACKAGE_INSTALL_DIRECTORY "KMess" )
  IF( WIN32 AND NOT UNIX )
    # There is a bug in NSI that does not handle full unix paths properly. Make
    # sure there is at least one set of four (4) backslashes.
    SET( CPACK_GENERATOR "NSIS" )
    SET( CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons\\\\hi32-app-kmess.png" )
    SET( CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\kmess.exe" )
    SET( CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} KMess (display name)" )
    SET( CPACK_NSIS_HELP_LINK "http:\\\\\\\\kmess.org" )
    SET( CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\kmess.org" )
    SET( CPACK_NSIS_CONTACT "project@kmess.org" )
    SET( CPACK_NSIS_MODIFY_PATH ON )
  ELSE( WIN32 AND NOT UNIX )
    SET( CPACK_STRIP_FILES "bin/kmess" )
    SET( CPACK_SOURCE_STRIP_FILES "" )
  ENDIF( WIN32 AND NOT UNIX )

  SET( CPACK_PACKAGE_EXECUTABLES "kmess" "KMess" )
  INCLUDE( CPack )
ENDIF( CMAKE_USE_CPACK EQUAL 1 )

#### Other settings ####

# Generate config-kmess.h
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/cmake/config-kmess.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kmess.h )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

# continue in directories
ADD_SUBDIRECTORY( po )
ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( doc )
ADD_SUBDIRECTORY( src )

IF( LIBKONQ_FOUND )
  ADD_SUBDIRECTORY( src/utils/kmess-send )
ENDIF( LIBKONQ_FOUND )

IF( USE_BUNDLED_LIBRARIES MATCHES "ISFQT" )
  ADD_SUBDIRECTORY( contrib/isf-qt )
ENDIF( )


# Also add the tests if compiling in development mode
IF( CMAKE_BUILD_TYPE STREQUAL debugfull AND KMESS_DEBUG_OUTPUT EQUAL 1 )
  ADD_SUBDIRECTORY( tests )
ENDIF( CMAKE_BUILD_TYPE STREQUAL debugfull AND KMESS_DEBUG_OUTPUT EQUAL 1 )

=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${GCRYPT_INCLUDE_DIRS} )

########### next target ###############

SET(kmess_SOURCES
   chat/chatmaster.cpp
   chat/chatmessagestyle.cpp
   chat/chatmessageview.cpp
   chat/chatview.cpp
   chat/chat.cpp
   chat/chatwindow.cpp
   chat/contactframe.cpp
   chat/contactswidget.cpp
   chat/emoticonswidget.cpp
   chat/chatstatusbar.cpp
   chat/xsltransformation.cpp
   chat/winkswidget.cpp
   contact/contactbase.cpp
   contact/contact.cpp
   contact/contactextension.cpp
   contact/group.cpp
   contact/invitedcontact.cpp
   contact/msnobject.cpp
   contact/msnstatus.cpp
   dialogs/addcontactdialog.cpp
   dialogs/addemoticondialog.cpp
   dialogs/awaymessagedialog.cpp
   dialogs/chathistorydialog.cpp
   dialogs/contactaddeduserdialog.cpp
   dialogs/contactentry.cpp
   dialogs/contactpropertiesdialog.cpp
   dialogs/invitedialog.cpp
   dialogs/listexportdialog.cpp
   dialogs/userpicturesdialog.cpp
   dialogs/transferentry.cpp
   dialogs/transferwindow.cpp
   model/contactlist.cpp
   model/contactlistmodelitem.cpp
   model/contactlistmodelfilter.cpp
   network/chatinformation.cpp
   network/chatmessage.cpp
   network/mimemessage.cpp
   network/msnchallengehandler.cpp
   network/msnsocketbase.cpp
   network/msnsockettcp.cpp
   network/msnsockethttp.cpp
   network/msnconnection.cpp
   network/msnnotificationconnection.cpp
   network/msnswitchboardconnection.cpp
   network/multipacketmessage.cpp
   network/p2pmessage.cpp
   network/applications/application.cpp
   network/applications/applicationlist.cpp
   network/applications/filetransfer.cpp
   network/applications/filetransferp2p.cpp
   network/applications/inktransferp2p.cpp
   network/applications/mimeapplication.cpp
   network/applications/p2papplicationbase.cpp
   network/applications/p2papplication.cpp
   network/applications/msnobjecttransferp2p.cpp
   network/applications/unknownapplication.cpp
   network/extra/directconnectionbase.cpp
   network/extra/directconnectionpool.cpp
   network/extra/msndirectconnection.cpp
   network/extra/msnftpconnection.cpp
   network/extra/p2pfragmenttracker.cpp
   network/soap/addressbookservice.cpp
   network/soap/httpsoapconnection.cpp
   network/soap/msnappdirectoryservice.cpp
   network/soap/offlineimservice.cpp
   network/soap/passportloginservice.cpp
   network/soap/roamingservice.cpp
   network/soap/soapmessage.cpp
   notification/chatnotification.cpp
   notification/contactstatusnotification.cpp
   notification/notificationmanager.cpp
   notification/newemailnotification.cpp
   notification/systemtraywidget.cpp
   settings/accountpage.cpp
   settings/accountsettingsdialog.cpp
   settings/accountsmanagerpage.cpp
   settings/contactlistpage.cpp
   settings/chatloggingpage.cpp
   settings/chatstylepage.cpp
   settings/emoticonspage.cpp
   settings/globalsettingsdialog.cpp
   settings/miscellaneouspage.cpp
   utils/crashhandler.cpp
   utils/idletimer.cpp
   utils/inlineeditlabel.cpp
   utils/kmessconfig.cpp
   utils/kmessdbus.cpp
   utils/kmessdbusdatatypes.cpp
   utils/kmessshared.cpp
   utils/nowlisteningclient.cpp
   utils/richtextparser.cpp
   utils/thumbnailprovider.cpp
   utils/xautolock.cpp
   utils/xmlfunctions.cpp
   utils/gradientelidelabel.cpp
   account.cpp
   accountaction.cpp
   accountsmanager.cpp
   currentaccount.cpp
   emoticon.cpp
   emoticonmanager.cpp
   emoticontheme.cpp
   initialview.cpp
   kmessapplication.cpp
   kmess.cpp
   kmessdebug.cpp
   kmessinterface.cpp
   kmessview.cpp
   kmessviewdelegate.cpp
   main.cpp
)

SET(kmess_UI_FILES
   initialview.ui
   kmessview.ui
   chat/chatwindow.ui
   chat/contactframe.ui
   chat/contactswidget.ui
   dialogs/addcontactdialog.ui
   dialogs/addemoticondialog.ui
   dialogs/awaymessagedialog.ui
   dialogs/chathistorydialog.ui
   dialogs/contactaddeduserdialog.ui
   dialogs/transferentry.ui
   dialogs/transferwindow.ui
   dialogs/contactentry.ui
   dialogs/contactpropertiesdialog.ui
   dialogs/invitedialog.ui
   dialogs/listexportdialog.ui
   dialogs/userpicturesdialog.ui
   settings/accountpage.ui
   settings/accountsmanagerpage.ui
   settings/contactlistpage.ui
   settings/chatloggingpage.ui
   settings/chatstylepage.ui
   settings/emoticonspage.ui
   settings/miscellaneouspage.ui
   utils/inlineeditlabel.ui
)

SET(kmess_LIBS
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_KHTML_LIBS}
   ${KDE4_KNOTIFYCONFIG_LIBS}
   ${KDE4_KNEWSTUFF2_LIBS}
   ${KDE4_PHONON_LIBS}
   ${KDE4_SOLID_LIBS}
   ${LIBXML2_LIBRARIES}
   ${LIBXSLT_LIBRARIES}
   ${GCRYPT_LIBRARIES}
   ${QT_QTTEST_LIBRARY}
)

IF( ${GIF_FOUND} )
  INCLUDE_DIRECTORIES( ${GIF_INCLUDE_DIR} )
  SET( kmess_LIBS ${kmess_LIBS} ${GIF_LIBRARIES} )
ENDIF( ${GIF_FOUND} )

IF( ISFQT_FOUND )
  INCLUDE_DIRECTORIES( ${ISFQT_INCLUDE_DIR} )
  SET( kmess_LIBS ${kmess_LIBS} ${ISFQT_LIBRARIES} )
ENDIF( ISFQT_FOUND )

# If LikeBack is enabled, compile it
IF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )
  # Enable LikeBack
  SET( kmess_SOURCES ${kmess_SOURCES}
       utils/likeback/likeback.cpp
       utils/likeback/likebackbar.cpp
       utils/likeback/likebackdialog.cpp )
  SET( kmess_UI_FILES ${kmess_UI_FILES}
       utils/likeback/likebackbar.ui
       utils/likeback/likebackdialog.ui )
ENDIF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )

# If we're compiling in debug mode:
IF( ${KMESS_ENABLE_DEBUG_OUTPUT} EQUAL 1 )
  # Enable the Network Window
  SET(kmess_SOURCES  ${kmess_SOURCES}  dialogs/networkwindow.cpp)
  SET(kmess_UI_FILES ${kmess_UI_FILES} dialogs/networkwindow.ui)
  # Enable the testing class
  SET(kmess_SOURCES  ${kmess_SOURCES}  kmesstest.cpp)
  # Enable the old parser
  SET(kmess_SOURCES  ${kmess_SOURCES}  ../tests/old_richtextparser.cpp)
  # Enable the Models tester
  IF( CMAKE_BUILD_TYPE STREQUAL debugfull )
    SET( kmess_SOURCES ${kmess_SOURCES} ../tests/modeltest/modeltest.cpp )
  ENDIF( CMAKE_BUILD_TYPE STREQUAL debugfull )
ENDIF( ${KMESS_ENABLE_DEBUG_OUTPUT} EQUAL 1 )

# Add XScreensaver library for away-idle detection.
IF( X11_Xscreensaver_FOUND )
  SET(kmess_LIBS    ${kmess_LIBS} ${X11_Xscreensaver_LIB} ${X11_X11_LIB})
ENDIF( X11_Xscreensaver_FOUND )

# Set our new shiny KDE debug number to be the default
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5130 )

# Define the app icon for Windows / Mac OS
KDE4_ADD_APP_ICON( kmess_SOURCES ../data/icons/hi*-app-kmess.png )

# Create a DBus adapter from XML file
QT4_ADD_DBUS_ADAPTOR( kmess_SOURCES utils/kmessdbus.xml utils/kmessdbus.h KMessDBus )

# Define all files
KDE4_ADD_UI_FILES( kmess_SOURCES ${kmess_UI_FILES} )
KDE4_ADD_EXECUTABLE( kmess ${kmess_SOURCES} )

# Link to final executable
TARGET_LINK_LIBRARIES( kmess ${kmess_LIBS} )

INSTALL( TARGETS kmess DESTINATION ${BIN_INSTALL_DIR})

INSTALL( FILES  chat/chatwindowui.rc DESTINATION ${DATA_INSTALL_DIR}/kmess )
INSTALL( FILES  kmessinterfaceui.rc  DESTINATION ${DATA_INSTALL_DIR}/kmess )

=== contrib/isf-qt/src/CMakeLists.txt ===

#### Source files definitions ####

SET( ISFQT_SOURCES
     data/algorithms/bitpacking.cpp
     data/algorithms/bitpacking_byte.cpp
     data/algorithms/huffman.cpp
     data/algorithms/deltatransform.cpp
     data/compression.cpp
     data/datasource.cpp
     data/multibytecoding.cpp
     isfqtdrawing.cpp
     tagsparser.cpp
     tagswriter.cpp
     isfqt.cpp
     isfinkcanvas.cpp
   )

SET( ISFQT_PUBLIC_HEADERS
     ../include/isfqt.h
     ../include/isfqtdrawing.h
     ../include/isfinkcanvas.h
     ../include/IsfQt
     ../include/IsfQtDrawing
     ../include/IsfInkCanvas
   )

SET( ISFQT_LIBS
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
   )

SET( ISFQT_RCCS
     ../data/isfqtresources.qrc
   )

IF( GIF_FOUND )
  INCLUDE_DIRECTORIES( ${GIF_INCLUDE_DIR} )
  SET( ISFQT_LIBS ${ISFQT_LIBS} ${GIF_LIBRARIES} )
ENDIF( GIF_FOUND )


#### Compilation ####

QT4_WRAP_CPP( MOC_SRCS ../include/isfinkcanvas.h )

QT4_ADD_RESOURCES( ISFQT_RCC_SRCS ${ISFQT_RCCS} )

INCLUDE_DIRECTORIES( ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )

# Do not install the library if we're bundling it in KMess
IF( NOT USE_BUNDLED_LIBRARIES MATCHES "ISFQT" )
  ADD_LIBRARY( isf-qt SHARED ${ISFQT_SOURCES} ${MOC_SRCS} ${ISFQT_RCC_SRCS} )
ELSE()
  ADD_LIBRARY( isf-qt STATIC ${ISFQT_SOURCES} ${MOC_SRCS} ${ISFQT_RCC_SRCS} )
ENDIF()

TARGET_LINK_LIBRARIES( isf-qt ${ISFQT_LIBS} )

SET_TARGET_PROPERTIES( isf-qt PROPERTIES
                              VERSION    ${ISFQT_VERSION}
                              SOVERSION  ${ISFQT_VERSION} )

#### Installation ####

# Do not install the library if we're bundling it in KMess
IF( NOT USE_BUNDLED_LIBRARIES MATCHES "ISFQT" )
  INSTALL( TARGETS isf-qt LIBRARY
          DESTINATION "${CMAKE_INSTALL_PREFIX}/lib"            )
  INSTALL( FILES ${ISFQT_PUBLIC_HEADERS}
          DESTINATION "${CMAKE_INSTALL_PREFIX}/include/isf-qt" )
ENDIF()

=== data/chatstyles/Classic/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

install( FILES  Classic.xsl Classic.css DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Classic/ )

=== data/chatstyles/Fresh-dark/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

install( FILES  Fresh-dark.xsl Fresh-dark.css bg_gravatar.gif bg_gravatar_rtl.gif buddy_icon.png DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Fresh-dark/ )

=== data/chatstyles/Fresh/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

install( FILES  Fresh.xsl Fresh.css bg_gravatar.gif bg_gravatar_rtl.gif buddy_icon.png DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Fresh/ )

=== debian/changelog ===
kmess (2.0.3-2) unstable; urgency=low

  [ Pino Toscano ] 
  * Add cmake as build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #582198)

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 16:56:06 +1000

kmess (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add patches:
    - 01_no_debugfull_build.diff
      default build should not bet set to debugfull
    - 02_no_desktop_encoding_key.diff
      remove deprecated encoding key from desktop file
    - 03_comments_cleanup.diff
      fix comments related to Debian package names
  * Drop 01_dont-build-depend-on-libqca2-plugin-ossl.diff - not needed anymore.
  * Cleanup build dependencies:
    - Remove libqca2-dev, libphonon-dev, libqt4-phonon-dev and patchutils.
    - Add libgcrypt11-dev.
  * Bump to Standars-Version 3.8.4 (no changes needed).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 24 Mar 2010 13:11:52 +0100

kmess (2.0.2-1) unstable; urgency=low

  * New upstream release 
    - Fixes friendly names (LP: #485640)
  * Update Homepage: http://kmess.org
  * Add Build-Depends: libphonon-dev | libqt4-phonon-dev (ubuntu friendly)
  * kmess.1 fix lintian:hyphen-used-as-minus-sign

 -- Mark Purcell <msp@debian.org>  Sat, 05 Dec 2009 21:19:26 +1100

kmess (2.0-3) unstable; urgency=low

  +++ Changes by José Manuel Santamaría Lema:

  * Fix FTBFS with binutils-gold. (Closes: #555020)
  * Added 12_rev5667_fixed_likeback_icons_install_condition.diff - without this
    patch the package will not install some icons, specifically those clearly
    visible in the right upper corner of the main window.
  * Bump to Standars-Version 3.8.3, no changes needed.
  * Don't refer to symlinks for text licenses in debian/copyright

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 09 Nov 2009 00:04:39 +0100

kmess (2.0-2) unstable; urgency=low

  * Update debian/watch to handle rc/beta & alpha upstream 
  * Include upstream rev5532 - Work around KDE bug #209960 that caused a
    crash when closing the account settings dialog.  (Closes: #551061)

 -- Mark Purcell <msp@debian.org>  Tue, 20 Oct 2009 19:11:36 +1100

kmess (2.0-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Wed, 02 Sep 2009 07:40:00 +1000

kmess (2.0~beta2-1) unstable; urgency=low

  * New upstream release 
    - Fixes "the '">' characters appears" (Closes: #530358)
  * Add Build-Depends: libgif-dev

 -- Mark Purcell <msp@debian.org>  Tue, 26 May 2009 22:58:41 +1000

kmess (2.0~beta1-2) unstable; urgency=low

  * Add Build-Depends: debhelper >=7

  +++ Changes by George Kiagiadakis:

  * Fix FTBFS (Closes: #524085)
    - Add patch 01_dont-build-depend-on-libqca2-plugin-ossl.diff.
    - Depend on libqca2-plugin-ossl.
    - Build-depend on libxss-dev.

 -- Mark Purcell <msp@debian.org>  Thu, 23 Apr 2009 09:19:48 +1000

kmess (2.0~beta1-1) unstable; urgency=low

  * New upstream release
    - Closes: #516284, #515663, #449797, #460746
  * Update Build-Depends: kdelibs5-dev (KDE4 release)
  * Update Standards Version 3.8.1. Add Homepage: Vcs: headers
  * Build Depends: libkonq5-dev - context menu integration with Konqueror
  * Update other Build-Depends:
  * Update debian/compat -> 7
  * Add ${misc:Depends}
  * kmess.menu section -> Applications/Network/Communication

 -- Mark Purcell <msp@debian.org>  Sun, 12 Apr 2009 13:58:31 +1000

kmess (1.5~pre2-1) experimental; urgency=low

  * New upstream release
    - Release highlights:
       - added support for now playing information
       - added file transfer previews
       - fixed critical bugs with the direct file transfer
       - fixed clickable links in the chat window
       - fixed problems with emoticon styles
       - fixed problems with the installation
       - updated many translations
    - Upload pre releases to experimental
  * Update debian/watch
  * Maintainer: Debian KDE Extras Team
    - Thanks to Mario Iseli for his work todate and welcome to the team!

 -- Mark Purcell <msp@debian.org>  Wed, 04 Jul 2007 07:31:05 +0100

kmess (1.4.3-2) unstable; urgency=low

  * Saven kmess.desktop as UTF-8 File. (Closes: #368844)

 -- Mario Iseli <admin@marioiseli.com>  Sun,  4 Jun 2006 20:55:23 +0200

kmess (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Removed ballonbase.patch, it's fixed in the new upstream.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 20 May 2006 14:39:09 +0200

kmess (1.4.2-2) unstable; urgency=medium

  * Added a patch (debian/patches/01_ballonbase.patch) to fix
    building. (Closes: #357764)

 -- Mario Iseli <admin@marioiseli.com>  Tue, 21 Mar 2006 17:59:11 +0100

kmess (1.4.2-1) unstable; urgency=low

  * Initial release Closes: #339571
  * wrote a manpage

 -- Mario Iseli <admin@marioiseli.com>  Mon, 21 Nov 2005 19:07:16 +0100

=== debian/control ===
Source: kmess
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mario Iseli <admin@marioiseli.com>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7), automoc, pkg-kde-tools (>= 0.6.4), cmake,
 kdelibs5-dev, libgcrypt11-dev, libgif-dev, libkonq5-dev, libxml2-dev,
 libxslt1-dev, libxss-dev, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://kmess.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmess/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmess/trunk/

Package: kmess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
Suggests: konqueror
Description: MSN messenger for KDE
 An alternative MSN Messenger chat client for Linux. It allows Linux users
 to chat with friends who use MSN Messenger in Windows or Mac OS. The
 strength of KMess is it's integration with the KDE desktop environment,
 focus on MSN Messenger specific features and an easy-to-use interface.

## kmess 2.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
   "  \n"
   "  You will need this package and the matching development package.\n"
   "  Usually the package names for this library are:\n"
-  "    on Debian:   'kdebase-runtime' and 'kdelibs4-dev'\n"
-  "    on Ubuntu:   'kdebase-runtime' and 'kdelibs5-dev'\n"
+  "    on Debian and Ubuntu:   'kdebase-runtime' and 'kdelibs5-dev'\n"
   "    on openSUSE: 'kdebase4-runtime' and 'libkde4-devel'\n"
   "  \n"
   "  Please refer to the KMess board for more info,\n"
@@ -49,7 +48,7 @@
 MACRO_LOG_FEATURE( LIBXSLT_FOUND "LibXSLT" "A library to transform XML into other formats" "http://www.xmlsoft.org/XSLT" TRUE ""
     "Required for the chat styles system.
       * Usually the package names for this library are:
-        on Debian and Ubuntu: 'libxslt' and 'libxslt-dev'
+        on Debian and Ubuntu: 'libxslt' and 'libxslt1-dev'
         on openSUSE:         'libxslt' and 'libxslt-devel'
       * Please refer to the KMess board for more info,
         and specially to this guide: http://trac.kmess.org/wiki/Compiling%20KMess" )
@@ -63,7 +62,7 @@
   MACRO_LOG_FEATURE( GCRYPT_FOUND "GCrypt" "A library to encrypt messages with various cyphers" "http://www.gnupg.org/" TRUE ""
     "It is required for the Live Messenger login process.
       * Usually the package names for this library are:
-        on Debian and Ubuntu: 'libgcrypt' and 'libgcrypt-dev'
+        on Debian and Ubuntu: 'libgcrypt' and 'libgcrypt11-dev'
         on openSUSE:          'libgcrypt' and 'libgcrypt-devel'
         on Fedora:            'gcrypt' and 'gcrypt-devel'
       * Please refer to the KMess board for more info,
@@ -109,6 +108,18 @@
      In absence of an installed isf-qt version, the bundled version will be compiled.")
 MACRO_BOOL_TO_01( ISFQT_FOUND HAVE_LIBISFQT ) # For config-kmess.h.in
 
+# Check for KNotificationItem. KDE 4.3.1 and later have it integrated in kdelibs/experimental.
+# It will be available by default in 4.4.
+IF( ${KDE_VERSION} VERSION_LESS 4.3.70 ) # KDE trunk has a higher version number than this.
+  MACRO_OPTIONAL_FIND_PACKAGE(LibKNotificationItem-1)
+  MACRO_LOG_FEATURE( LIBKNOTIFICATIONITEM-1_FOUND "LibKNotificationItem-1" "The experimental new KDE systray library" "http://www.kde.org" FALSE ""
+    "LibKNotificationItem-1 is the experimental new KDE systray library. It will be included
+     by default in KDE 4.4 and is available for use in KDE 4.3.1 and above." )
+  MACRO_BOOL_TO_01( LIBKNOTIFICATIONITEM-1_FOUND HAVE_NEW_TRAY )
+ELSE()
+  SET( HAVE_NEW_TRAY 1 )
+ENDIF()
+
 # Display the dependency collection results
 MACRO_DISPLAY_FEATURE_LOG()
 
@@ -138,8 +149,8 @@
 #### Define the app version number ####
 
 # Switch between the following two commands to force using a predefined version number
-# EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-svn-version.sh OUTPUT_VARIABLE KMESS_VERSION )
-SET( KMESS_VERSION "2.0.3" )
+# EXECUTE_PROCESS( COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/cmake/get-git-version.sh OUTPUT_VARIABLE KMESS_VERSION )
+SET( KMESS_VERSION "2.0.4" )
 
 
 #### Define compiler flags ####
@@ -167,7 +178,7 @@
 # - relwithdebinfo  (release with debug info)
 # - minsizerel      (minsize release)
 # Uncomment the next line to always force building in full debug mode
-SET( CMAKE_BUILD_TYPE debugfull )
+# SET( CMAKE_BUILD_TYPE debugfull )
 
 # Enable the KMess debug output when compiling a debug build
 IF( CMAKE_BUILD_TYPE STREQUAL debugfull OR KMESS_DEBUG_OUTPUT EQUAL 1 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,6 @@
    notification/contactstatusnotification.cpp
    notification/notificationmanager.cpp
    notification/newemailnotification.cpp
-   notification/systemtraywidget.cpp
    settings/accountpage.cpp
    settings/accountsettingsdialog.cpp
    settings/accountsmanagerpage.cpp
@@ -181,6 +180,22 @@
        utils/likeback/likebackdialog.ui )
 ENDIF( NOT ${KMESS_DISABLE_LIKEBACK} EQUAL 1 )
 
+# On Mac OS, add Mac-specific files
+if(APPLE)
+  set(kmess_SOURCES ${kmess_SOURCES}  notification/macnotification.cpp)
+endif(APPLE)
+
+#new system tray spec - optional
+IF( HAVE_NEW_TRAY )
+  SET( kmess_SOURCES ${kmess_SOURCES}
+       notification/newsystemtraywidget.cpp )
+  INCLUDE_DIRECTORIES( ${KNOTIFICATIONITEM_INCLUDE_DIR} )
+  SET( kmess_LIBS ${kmess_LIBS} ${KNOTIFICATIONITEM_LIBRARIES} )
+ELSE()
+  SET( kmess_SOURCES ${kmess_SOURCES}
+       notification/systemtraywidget.cpp )
+ENDIF()
+
 # If we're compiling in debug mode:
 IF( ${KMESS_ENABLE_DEBUG_OUTPUT} EQUAL 1 )
   # Enable the Network Window
@@ -198,14 +213,16 @@
 
 # Add XScreensaver library for away-idle detection.
 IF( X11_Xscreensaver_FOUND )
-  SET(kmess_LIBS    ${kmess_LIBS} ${X11_Xscreensaver_LIB} ${X11_X11_LIB})
+  SET(kmess_LIBS    ${kmess_LIBS} ${X11_Xscreensaver_LIB} ${X11_LIBRARIES} )
 ENDIF( X11_Xscreensaver_FOUND )
 
 # Set our new shiny KDE debug number to be the default
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5130 )
 
 # Define the app icon for Windows / Mac OS
-KDE4_ADD_APP_ICON( kmess_SOURCES ../data/icons/hi*-app-kmess.png )
+SET( kmess_SRCS )
+KDE4_ADD_APP_ICON( kmess_SRCS ../data/icons/hi*-app-kmess.png )
+SET( kmess_SOURCES ${kmess_SOURCES} ${kmess_SRCS} )
 
 # Create a DBus adapter from XML file
 QT4_ADD_DBUS_ADAPTOR( kmess_SOURCES utils/kmessdbus.xml utils/kmessdbus.h KMessDBus )

=== data/pics/CMakeLists.txt ===

SET( kmess_PICS
   away.png
   background.png
   berightback.png
   blocked.png
   busy.png
   emoticons.png
   empty.png
   invisible.png
   kmesspic.png
   kmessstrip1.png
   kmessstrip2.png
   lunch.png
   offline.png
   online.png
   onthephone.png
   unknown.png
   contact_food_overlay.png
   contact_phone_overlay.png
   contact_busy_overlay.png
)

INSTALL( FILES ${kmess_PICS} DESTINATION ${DATA_INSTALL_DIR}/kmess/pics )

=== data/chatstyles/Classic-compact/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

install( FILES  Classic-compact.xsl Classic-compact.css DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Classic-compact/ )

=== data/chatstyles/Dim/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

install( FILES  Dim.xsl Dim.css DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Dim/ )

=== data/chatstyles/Pure/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### install files ###############

set(kmess_pure_FILES
   Pure.css
   Pure.xsl
   arrow0.png
   arrow1.png
   clock.png
   contact.png
   corner-bl.png
   corner-br.png
   corner-tl.png
   corner-tr.png
   important.png
   myself.png
   system.png
)

install( FILES  ${kmess_pure_FILES} DESTINATION ${DATA_INSTALL_DIR}/kmess/styles/Pure/ )

=== src/utils/kmess-send/CMakeLists.txt ===
########### kmess send plugin ###############

SET( kmesssendplugin_SOURCES
   kmesssendplugin.cpp
   kmesssendmenuitem.cpp
)

ADD_DEFINITIONS(-fPIC)

ADD_LIBRARY( kmesssendpluginlib
   ../kmessdbusdatatypes.cpp
   ../../contact/msnstatus.cpp
)


ADD_DEPENDENCIES( kmesssendpluginlib kmess )

KDE4_ADD_PLUGIN( kmesssendplugin WITH_PREFIX ${kmesssendplugin_SOURCES} )
ADD_DEPENDENCIES( kmesssendplugin kmesssendpluginlib kmess )

TARGET_LINK_LIBRARIES( kmesssendplugin kmesssendpluginlib konq ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} )

INSTALL( TARGETS kmesssendplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

########## install files ###############

INSTALL( FILES kmesssendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kmess (2.0.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Refresh 01_no_debugfull_build.diff
    - Drop 02_no_desktop_encoding_key.diff fixed by upstream
    - Drop 03_comments_cleanup.diff fixed by upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 03:00:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmess
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mario Iseli <admin@marioiseli.com>, Mark Purcell <msp@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), automoc, pkg-kde-tools (>= 0.6.4), cmake,
  kdelibs5-dev, libgcrypt11-dev, libgif-dev, libkonq5-dev, libxml2-dev,

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~//').tar.gz
URL = http://heanet.dl.sourceforge.net/$(DEB_SOURCE_PACKAGE)/$(UPFILENAME)

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_INSTALL_MANPAGES_kmess := debian/kmess.1
DEB_INSTALL_MENU_ARGS := debian/kmess.menu
